VMware Solutions Discussions

Virtual Storage Console for VMware vSphere 7

Stiegelis
6,703 Views

Latest Virtual Storage Console for VMware vSphere only supports up to vSphere 6.7

For a while now VMWare went to vSphere version 7. What is the ETA for a new version of Virtual Storage Console for VMware vSphere and a NetApp NFS Plug-in for VMware VAAI that supports vSphere 7 ?

In a demo pool I implemented a virtual storage console on a vSphere 7. The VASA (NetApp NFS Plug-in for VMware VAAI 1.1.2) provider is installed on the ESXi hosts but showing as not being capable of hardware acceleration in the vSphere 7 client. The option to Rapid clone is not available. The virtual storage console is available and shows information inside the vSphere 7 client but there isn't much to do. It lost alot of functionality compared to vSphere 6.7 environment.

1 ACCEPTED SOLUTION

konnerth
6,564 Views

Hi,

 

The virtual appliance (VSC, VP and SRA) has supported vSphere 7 starting with 9.7P1 in April (now 9.7P2 is recommended).  VAAI 1.1.2 works with vSphere  7 as well.

 

VAAI is different from VASA (used for vVols).  There are several steps needed to make ONTAP VAAI work; please make sure you follow all the instructions in the VAAI document.

https://library.netapp.com/ecmdocs/ECMLP2573777/html/frameset.html

 

Rapid cloning was dropped from VSC in the transition to 7.X in 2017.  We have a simple PowerShell script that might be useful.  For VDI we recommend using desktop brokers.

 

---Karl

View solution in original post

11 REPLIES 11

konnerth
6,565 Views

Hi,

 

The virtual appliance (VSC, VP and SRA) has supported vSphere 7 starting with 9.7P1 in April (now 9.7P2 is recommended).  VAAI 1.1.2 works with vSphere  7 as well.

 

VAAI is different from VASA (used for vVols).  There are several steps needed to make ONTAP VAAI work; please make sure you follow all the instructions in the VAAI document.

https://library.netapp.com/ecmdocs/ECMLP2573777/html/frameset.html

 

Rapid cloning was dropped from VSC in the transition to 7.X in 2017.  We have a simple PowerShell script that might be useful.  For VDI we recommend using desktop brokers.

 

---Karl

Stiegelis
6,546 Views

Thank you for the update.I've followed this  and using NFSv3 procedure: https://library.netapp.com/ecmdocs/ECMLP2573777/html/frameset.html

these commands have the same output as well:

~ # esxcfg-advcfg -s 1 /DataMover/HardwareAcceleratedInit
Value of HardwareAcceleratedInit is 1
~ #  esxcfg-advcfg -s 1 /DataMover/HardwareAcceleratedMove
Value of HardwareAcceleratedMove is 1

 still hardware acceleration:  not supported.

when cloning an offline guest from an SSD aggregate / volume on a FAS8080EX it takes a long time to complete on vSphere version 7. Doing the same procedure on vShpere 6.7 it is done in an instant.

Since this is a test environment I will drop it now and continue with my work vSphere 6.7 

konnerth
6,492 Views

OK, if you've done all that I would work with NetApp Support.  NetApp Interop team tested VAAI 1.1.2 with ESXi 7.0 and it is supported.

 

---Karl

Stiegelis
6,411 Views

I managed to get acceleration working and instant clone is working again by giving the esxi hosts a 2'nd " Set recommended values" and a reboot.  Not sure why it wasn't working on the 1'st attempt.

In the mean time I read an article on NetApp that future vsc 8 will support rapid clones again.

konnerth
6,387 Views

I'm glad you got that working - congratulations!

 

I'm the product manager for our vSphere tools for ONTAP,  and I am not aware of any plans to support rapid cloning.  But we have been working on new SAN and NAS capabilities, some available now (NVMe/FC) and some coming soon!  Also a number of different initiatives with vVols, including FCD and Tanzu support.

 

---Karl

Stiegelis
6,049 Views

I've searched again through the pages but I can't find the post anymore mentioning the VCS 8.0

Blissitt
3,964 Views

For those interested, VAAI 2.0 was released on March 21, 2021, and it supports 7.0U1 and above.  The previous version supported up through 7.0 (RTM).

Blissitt
3,721 Views

Update: One of my hosts spontaneously upgraded to 7.0U2 after I upgraded it to 7.0U1.  I was never able to get VAAI 2.0 to install using VUM/vLCM on that host while it was at 7.0U2, although I will admit the server was considered suspect at that point.  I wiped and reinstalled 7.0U1 and was then able to install VAAI 2.0 using vLCM as I've done on my other hosts.

Blissitt
3,072 Views

For anyone who wants to upgrade to "VSC" 9.8, the product is now called "ONTAP tools for VMware vSphere."  Go to the NetApp Downloads section and you'll find it under the letter "O."

 

Version 9.7.1P1 may have a bug causing data loss and is not listed on NetApp's IMT as supported past VMware 7.0U1, so I'd suggest you upgrade very soon.

Googol
1,125 Views

appears this is because they locked it down to one version for some reason, 7.0.1 and not 7.0.X unfortunately. I am upgrading to v7.0.3 and hope I am able to install this, otherwise might be stuck until netapp releases another version. no new version since March 2021, so over a year and 7.0.3 is of course out now.

MichaelT
1,098 Views

It's not supported.

IMG_20220422_111637_238.jpg

Public